PHP 5.1.4

Support for the other architectures (X86_64, s390(x) and PowerPC)
Post Reply
sankaman2k
Posts: 2
Joined: 2006/06/12 23:19:22
Location: Brooklyn, NY USA
Contact:

PHP 5.1.4

Post by sankaman2k » 2006/06/12 23:59:19

Well, after spending countless hours of looking for a php 5.1.4 package for centos 4.3 x86_64, I have decided to rebuild the SRPM from FC5.
So if anybody is looking for the RPMS, I have put them on my server for you to download. I hope this helps.

ftp://blackleafstudios.com/centos/4.3/x86_64/
The following are available for download:

php-5.1.4-1.x86_64.rpm
php-bcmath-5.1.4-1.x86_64.rpm
php-dba-5.1.4-1.x86_64.rpm
php-debuginfo-5.1.4-1.x86_64.rpm
php-devel-5.1.4-1.x86_64.rpm
php-gd-5.1.4-1.x86_64.rpm
php-imap-5.1.4-1.x86_64.rpm
php-ldap-5.1.4-1.x86_64.rpm
php-mbstring-5.1.4-1.x86_64.rpm
php-mysql-5.1.4-1.x86_64.rpm
php-ncurses-5.1.4-1.x86_64.rpm
php-odbc-5.1.4-1.x86_64.rpm
php-pdo-5.1.4-1.x86_64.rpm
php-pear-1.4.6-2.noarch.rpm
php-pgsql-5.1.4-1.x86_64.rpm
php-snmp-5.1.4-1.x86_64.rpm
php-soap-5.1.4-1.x86_64.rpm
php-xml-5.1.4-1.x86_64.rpm
php-xmlrpc-5.1.4-1.x86_64.rpm

primesuspect
Posts: 1
Joined: 2006/07/01 17:03:15
Location: Detroit, MI
Contact:

Re: PHP 5.1.4

Post by primesuspect » 2006/07/01 17:06:44

rock on. Thank you so much for this.

i'm having trouble installing (upgrading from 4.3.9, to be exact) though. I am pretty much a n00b so please bear with me. I can't seem to upgrade php 4 to 5 because php 4 depends on the php-pear package. I can't upgrade the php-pear package because it depends on php-4.3.9. You see where I'm going. How do I upgrade the whole lump?

Thanks for providing those packages!

-B

sankaman2k
Posts: 2
Joined: 2006/06/12 23:19:22
Location: Brooklyn, NY USA
Contact:

Re: PHP 5.1.4

Post by sankaman2k » 2006/07/09 17:21:35

I actually had the same problem and in turn uninstalled the older version of PHP.
I'm not entirely certain as it has been a while since I've done this.

Perhaps someone else can jump in and help on this one.

Thanks.

Lenard
Posts: 2283
Joined: 2005/11/29 02:35:25
Location: Indiana

Re: PHP 5.1.4

Post by Lenard » 2006/07/09 17:49:07

Get the list of the currently install perl rpm packages installed;

rpm -qa --qf="%{n}-%{v}-%{r}.%{arch}.rpm\n" 'php*' | sort

Download the 5.1.4 updates (use the output for the list) them into one common location where they are the only php rpm packages in the download location and install them all at once; rpm -Uvh php*.rpm

patrickdight
Posts: 1
Joined: 2006/09/25 23:28:08

Re: PHP 5.1.4

Post by patrickdight » 2006/09/25 23:32:49

Hi

This looks like what I need.

I tried to get these files using USER and PASS but could not log on. What am I doing wrong ?

tia

Lenard
Posts: 2283
Joined: 2005/11/29 02:35:25
Location: Indiana

Re: PHP 5.1.4

Post by Lenard » 2006/09/28 16:48:47

You may choose to build them yourself;

http://download.fedora.redhat.com/pub/fedora/linux/core/updates/5/SRPMS/php-5.1.4-1.src.rpm
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/5/SRPMS/php-pear-1.4.9-1.2.src.rpm

Post Reply

Return to “CentOS 4 - X86_64,s390(x) and PowerPC Support”